Bug 5965 - Cannot add a share via SWAT when no shares are defined.
Cannot add a share via SWAT when no shares are defined.
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: SWAT
3.2.6
x86 Linux
: P3 minor
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 00:06 UTC by TAKAHASHI Motonobu
Modified: 2009-01-06 08:21 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch (600 bytes, patch)
2009-01-06 07:48 UTC, Karolin Seeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-12-14 00:06:57 UTC
We cannot add a share via SWAT when no shares are defined.
I found this bug at Samba 3.2.4/Samba 3.2.6.

If one or mode shares are defined, this bug does not occur.

(1) delete smb.conf

(2) attempt to create a share via SHARE menu.

(3) no share is added. logs:

-----
[2008/12/14 15:00:09,  0] lib/substitute.c:alloc_sub_basic(556)
  alloc_sub_basic: NULL source string!  This should not happen
-----
Comment 1 Karolin Seeger 2009-01-06 07:48:16 UTC
Created attachment 3853 [details]
proposed patch
Comment 2 Karolin Seeger 2009-01-06 07:49:43 UTC
I think the attached patch solves the problem.

Can you confirm?
Comment 3 Karolin Seeger 2009-01-06 08:21:51 UTC
Patch applied to all branches.
Closing out bug report.

Please re-open if it's still an issue.

Thanks for reporting!